#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Sep 17 10:51:09 2020

@author: frederic
"""
# Bibliothèque sqlite
import sqlite3
# Connexion à la base de données
connexion = sqlite3.connect('bdfilms.db')
# Exécution d'une requête, le nom "curseur" de la variable sera expliqué en bac + 42
curseur = connexion.cursor()
curseur.execute("SELECT title , release_year FROM films WHERE original_language = 'zh'")
curseur.execute("SELECT title FROM films WHERE (release_year = 1975)")
# Affichage des résultats de la requête
for element in curseur:
    print(element)
# Requête paramétrée
    print()
print("requête paramétrée")
langage = 'zh' 
curseur.execute("SELECT title , release_year FROM films WHERE original_language = (?)",(langage,))
print(curseur)
for element in curseur:
    print(element)
print()
print("requête paramétrée avec tentative d'injection de code")
langage = " 'zh' ; SELECT * FROM films_vus"
curseur.execute("SELECT title , release_year FROM films WHERE original_language = " + langage,)
for element in curseur:
    print(element)
# Insertion d'un nouvel enregistrement    
connexion.execute("INSERT INTO films_vus VALUES (679, '08-oct-1986', 4,'vo');")
connexion.commit()
# Fermeture de la connexion
connexion.close()